> ## Documentation Index
> Fetch the complete documentation index at: https://docs.portkey.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# SambaNova

> Use SambaNova's fast inference for Llama and other open-source models through Prisma AIRS AI Gateway.

## Quick Start

Get started with SambaNova in under 2 minutes:

```sh cURL icon="square-terminal" theme={"system"}
# 1. Add @sambanova provider in model catalog
# 2. Use it:

curl https://aigw.portkey.ai/v1/chat/completions \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $PORTKEY_API_KEY" \
  -d '{
    "model": "@sambanova/Meta-Llama-3.1-405B-Instruct",
    "messages": [{"role": "user", "content": "Hello!"}]
  }'
```

```python OpenAI Py icon="python" theme={"system"}
from openai import OpenAI

# 1. Install: pip install openai
# 2. Add @sambanova provider in model catalog
# 3. Use it:

client = OpenAI(
    api_key="PORTKEY_API_KEY",  # AI Gateway API key
    base_url="https://aigw.portkey.ai/v1"
)

response = client.chat.completions.create(
    model="@sambanova/Meta-Llama-3.1-405B-Instruct",
    messages=[{"role": "user", "content": "Hello!"}]
)

print(response.choices[0].message.content)
```

```js OpenAI JS icon="square-js" theme={"system"}
import OpenAI from "openai"

// 1. Install: npm install openai
// 2. Add @sambanova provider in model catalog
// 3. Use it:

const client = new OpenAI({
    apiKey: "PORTKEY_API_KEY",  // AI Gateway API key
    baseURL: "https://aigw.portkey.ai/v1"
})

const response = await client.chat.completions.create({
    model: "@sambanova/Meta-Llama-3.1-405B-Instruct",
    messages: [{ role: "user", content: "Hello!" }]
})

console.log(response.choices[0].message.content)
```

## Add Provider in Model Catalog

Before making requests, add SambaNova to your Model Catalog:

1. Go to [**Model Catalog → Add Provider**](https://stratacloudmanager.paloaltonetworks.com/)
2. Select **SambaNova**
3. Enter your SambaNova API key
4. Name your provider (e.g., `sambanova`)

> **[Complete Setup Guide](https://docs.portkey.ai/docs/aigw/product/model-catalog.md)**
>
> See all setup options and detailed configuration instructions

***

## Supported Models

SambaNova provides fast inference for open-source models:

> **[Supported Models](https://community.sambanova.ai/t/supported-models/193)**
>
> View the complete list of SambaNova models

Popular models include:

* Meta-Llama-3.1-405B-Instruct
* Meta-Llama-3.1-70B-Instruct
* Meta-Llama-3.1-8B-Instruct

***

## Next Steps

> **[Gateway Configs](https://docs.portkey.ai/docs/aigw/product/ai-gateway.md)**
>
> Add fallbacks, load balancing, and more

> **[Observability](https://docs.portkey.ai/docs/aigw/product/observability.md)**
>
> Monitor and trace your SambaNova requests

> **[Metadata](https://docs.portkey.ai/docs/aigw/product/observability/metadata.md)**
>
> Add custom metadata to requests


## Related topics

- [Prompt Caching on Bedrock](https://docs.portkey.ai/docs/aigw/integrations/llms/bedrock/prompt-caching.md)
- [AWS Bedrock](https://docs.portkey.ai/docs/aigw/integrations/llms/bedrock/aws-bedrock.md)
- [Create speech](https://docs.portkey.ai/docs/aigw/api-reference/audio/create-speech.md)
- [Supported Providers](https://docs.portkey.ai/docs/aigw/api-reference/inference-api/supported-providers.md)
- [Prisma AIRS AI Gateway Models](https://docs.portkey.ai/docs/aigw/product/model-catalog/gateway-models.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.